apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  labels:
    component: search-stats
    environment: prod
    system: job-ads
    team: walrus
  name: search-stats-prod
  namespace: openshift-gitops
spec:
  destination:
    namespace: search-stats-prod
    server: https://kubernetes.default.svc
  project: walrus
  source:
    path: kustomize/overlays/prod
    repoURL: https://gitlab.com/arbetsformedlingen/job-ads/search-stats-infra.git
    targetRevision: main
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
    - CreateNamespace=false
